osl::rating::Check Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::Check:

## Public Member Functions

| Check (int p)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Static Public Member Functions

static bool | openLong (const NumEffectState &state, Move move)

## Static Public Attributes

static const CArray< const char *, 4 > | check_property = {{ "Di", "DO", "OC", "Bo" }}

## Private Attributes

int | property

## Detailed Description

Definition at line 56 of file rating/feature.h.

## Constructor & Destructor Documentation

## Check()

osl::rating::Check::Check | ( | int | p | ) |

Definition at line 12 of file feature.cc.

References check_property, osl::rating::Feature::Feature(), and property.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::Check::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Feature.

Definition at line 71 of file rating/feature.h.

## match()

bool osl::rating::Check::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

virtual

Implements osl::rating::Feature.

Definition at line 16 of file feature.cc.

References osl::NumEffectState::isDirectCheck(), osl::NumEffectState::isOpenCheck(), openLong(), and property.

## openLong()

bool osl::rating::Check::openLong | ( | const NumEffectState & | state,
|  | Move | move )

inline static

Definition at line 61 of file rating/feature.h.

References osl::BISHOP, osl::Move::from(), osl::NumEffectState::hasEffectByPtype(), osl::Move::isDrop(), osl::LANCE, osl::Move::player(), and osl::ROOK.

Referenced by osl::rating::CheckGroup::findMatch(), and match().

## Member Data Documentation

## check_property

const osl::CArray< const char *, 4 > osl::rating::Check::check_property = {{ "Di", "DO", "OC", "Bo" }}

static

Definition at line 11 of file rating/feature.h.

Referenced by Check().

## property

int osl::rating::Check::property

private

Definition at line 58 of file rating/feature.h.

Referenced by Check(), and match().

The documentation for this class was generated from the following files:

- rating/feature.h
- feature.cc